- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.print.PrintDialog Class Reference

The smjg.libs.sdwf.print.PrintDialog class wraps the Windows print common dialog. More...

Inheritance diagram for smjg.libs.sdwf.print.PrintDialog:

List of all members.

## Public Member Functions
| this (WindowBase p)
| Constructs a new PrintDialog.
bool | show ()
| Displays the dialog box to print a document.
void | print (Printout p)
| Prints a document using the settings in this PrintDialog.
| ~this ()

## Detailed Description

The smjg.libs.sdwf.print.PrintDialog class wraps the Windows print common dialog.

Since:
  0.4

Bug:
  When Print to File is used, an old Windows 3.1-style file dialog is used to prompt for the file name by which to save. I have as yet been unable to figure out why.

## Constructor & Destructor Documentation

smjg.libs.sdwf.print.PrintDialog.this | ( | WindowBase | p | ) |

Constructs a new PrintDialog.

Parameters:

  | p | the parent window of the dialog.

Status:
  done

Reimplemented from smjg.libs.sdwf.commondialog.CommonDialog.

smjg.libs.sdwf.print.PrintDialog.~this | ( |  | ) |

## Member Function Documentation

bool smjg.libs.sdwf.print.PrintDialog.show | ( |  | ) |

Displays the dialog box to print a document.

Return values:

  | true | if the operation was successful.
  | false | if the operation was cancelled.

Status:
  done

void smjg.libs.sdwf.print.PrintDialog.print | ( | Printout | p | ) |

Prints a document using the settings in this PrintDialog.

Parameters:

  | p | document to print.

Since:
  0.5

Status:
  done

## Member Data Documentation

uint smjg.libs.sdwf.print.PrintDialog._structSize = PRINTDLGA.sizeof

HWND smjg.libs.sdwf.print.PrintDialog._parentHandle = null

HANDLE smjg.libs.sdwf.print.PrintDialog._devMode = null

HANDLE smjg.libs.sdwf.print.PrintDialog._devNames = null

HDC smjg.libs.sdwf.print.PrintDialog._dcHandle = null

PD smjg.libs.sdwf.print.PrintDialog.flags = PD.ALLPAGES | PD.RETURNDC

A combination of bit flags that can be used to customise the print dialog.

ushort smjg.libs.sdwf.print.PrintDialog.fromPage = 1

The selected first page to print.

ushort smjg.libs.sdwf.print.PrintDialog.toPage = 1

The selected last page to print.

This value can be set to `ushort.max`, in which case the 'to' edit box in the dialog will be initially blank.

ushort smjg.libs.sdwf.print.PrintDialog.minPage = 1

The number of the first page of the document.

ushort smjg.libs.sdwf.print.PrintDialog.maxPage = 1

The number of the last page of the document.

This value can be set to `ushort.max`, to indicate that the number of pages is as yet unknown.

ushort smjg.libs.sdwf.print.PrintDialog.copies = 1

The number of copies to print.

HINSTANCE smjg.libs.sdwf.print.PrintDialog._instanceHandle = null

uint smjg.libs.sdwf.print.PrintDialog._customHookData = 0

LPPRINTHOOKPROC smjg.libs.sdwf.print.PrintDialog._printHook = null

LPSETUPHOOKPROC smjg.libs.sdwf.print.PrintDialog._setupHook = null

LPCTSTR smjg.libs.sdwf.print.PrintDialog._printTemplateName = null

LPCTSTR smjg.libs.sdwf.print.PrintDialog._setupTemplateName = null

HANDLE smjg.libs.sdwf.print.PrintDialog._printTemplateHandle = null

HANDLE smjg.libs.sdwf.print.PrintDialog._setupTemplateHandle = null

PRINTDLGA smjg.libs.sdwf.print.PrintDialog.spec

This dialog specification as a Windows PRINTDLG structure.

The documentation for this class was generated from the following file:

- print.d